Question: Upgrading Out-Of-Date Bioconductor
1
gravatar for Daniel Standage
5.5 years ago by
Daniel Standage3.8k
Davis, California, USA
Daniel Standage3.8k wrote:

When I run the bioconductor installer, it tells me my installation is out-of-date and refers me to the bioconductor install page for upgrade instructions.

> source("http://bioconductor.org/biocLite.R")
Your Bioconductor is out-of-date, upgrade to version 2.12 by following
instructions at http://bioconductor.org/install.
Bioconductor version 2.11 (BiocInstaller 1.8.3), ?biocLite for help

I've followed every set of instructions on that page, including recompiling all bioconductor packages from source, and yet when I restart R and load biocLite.R I get the same warning message about bioconductor being out of date. How can I upgrade my bioconductor installation?

If it makes any difference, I'm running R 2.15.3 on Mac OS 10.8.4.

R bioconductor • 5.6k views
ADD COMMENTlink modified 4.2 years ago by Biostar ♦♦ 20 • written 5.5 years ago by Daniel Standage3.8k
2

I believe Bioconductor 2.12 requires R3.0, so you're probably stuck with that warning 'till you upgrade.

ADD REPLYlink written 5.5 years ago by David Westergaard1.4k
2
gravatar for Steve Lianoglou
5.5 years ago by
Steve Lianoglou5.0k
US
Steve Lianoglou5.0k wrote:

As David mentioned in his comment, versions of Bioconductor are tied to the versions of R. So, to use bioconductor 2.12, you need to be using R 3.0.x. If you are running R 2.15.x, you are stuck with the bioconductor 2.11 release train.

This fact is also mentioned at the very top of the the bioconductor.org/install page that the biocLite function points you to:

The current release of Bioconductor is version 2.12; it works with R version 3.0.1. Users of older R and Bioconductor versions must update their installation to take advantage of new features.

ADD COMMENTlink written 5.5 years ago by Steve Lianoglou5.0k
0
gravatar for yalbibalderas
5.3 years ago by
yalbibalderas0 wrote:

I had the same problem, but I realized that I had to use: biocLite("BiocUpgrade"), this is not mentioned in the page: http://www.bioconductor.org/install/ neither in ?biocLite

Regards,

ADD COMMENTlink written 5.3 years ago by yalbibalderas0
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1267 users visited in the last hour